package com.zipcodewilmington.froilansfarm.Abstract;

import com.zipcodewilmington.froilansfarm.Concrete.Tomato;
import com.zipcodewilmington.froilansfarm.Concrete.TomatoFactory;
import com.zipcodewilmington.froilansfarm.Interfaces.Edible;
import com.zipcodewilmington.froilansfarm.Interfaces.Fertilize;
import com.zipcodewilmington.froilansfarm.Interfaces.Harvest;
import com.zipcodewilmington.froilansfarm.Interfaces.Produce;

import java.util.ArrayList;

public abstract class Crop implements Produce {

    public abstract ArrayList<Edible> yeild();

    public abstract int getCount();

    public abstract int countEdible();

    public abstract void setFerilized();

}
