package com.zipcodewilmington.froilansfarm.Concrete;

import com.zipcodewilmington.froilansfarm.Abstract.Animal;
import com.zipcodewilmington.froilansfarm.Interfaces.Edible;
import com.zipcodewilmington.froilansfarm.Interfaces.Produce;

import java.util.ArrayList;

public class Chicken extends Animal implements Produce {
    ArrayList<Egg> eggs = new ArrayList<>();

    public String makeNoise() {
        return "Cluck";
    }

    public void eat(Edible edible) {
    }

    //public ArrayList<Produce> get() {
    //    return this.eggs;
    //}

    public ArrayList<Edible> yeild() {
        ArrayList<Edible> toReturn = new ArrayList<Edible>();
        for (Egg egg: this.eggs){
            if(egg.isEdible())
                toReturn.add(egg);
            this.eggs.remove(egg);
        }
        return toReturn;
    }

    public int countEdible(){
        int count = 0;
        for (Egg egg: this.eggs) {
            if (egg.isEdible())
                count++;
        }
        return count;
    }


    public int getCount(){
        return this.eggs.size();
    }

    public void lay(){
        this.eggs.addAll(EggFactory.getEggs(this));
    }
}
