package com.zipcodewilmington.froilansfarm.Concrete;

import java.util.ArrayList;

public class ChickenCoop {

    private ArrayList<Chicken> chickens = new ArrayList<Chicken>();
    private ArrayList<Egg> eggs = new ArrayList<Egg>();

    public ChickenCoop(int num) {
        for(int i = 1; i <= num; i++){
            chickens.add(new Chicken());
        }
    }

    public ArrayList<Egg> harvest() {
        ArrayList<Egg> egggs = new ArrayList<Egg>(this.eggs);
        this.eggs.clear();
        return egggs;
    }

    public void produce(){
        for (Chicken chicken: this.chickens){
            this.eggs.addAll(EggFactory.getEggs(chicken));
        }
    }

    public int getChickenCount(){
        return this.chickens.size();
    }

    public int getEggCount(){
        return this.eggs.size();
    }

    public String displayChickens(){
        StringBuilder sb = new StringBuilder();

        for (int i = 0; i < this.chickens.size(); i++){
            sb.append(String.format("%d. %s", i , "Chicken\n"));
        }
        return sb.toString();
    }

    public boolean addChicken(Chicken chicken) {
        return this.chickens.add(chicken);
    }

    public void removeChicken(int i) {
        this.chickens.remove(i);
    }
}
