package com.zipcodewilmington.froilansfarm.Concrete;

import com.zipcodewilmington.froilansfarm.Abstract.Aircraft;
import com.zipcodewilmington.froilansfarm.Abstract.Crop;
import com.zipcodewilmington.froilansfarm.Interfaces.FarmVehicle;
import com.zipcodewilmington.froilansfarm.Interfaces.Fertilize;
import com.zipcodewilmington.froilansfarm.Interfaces.Produce;
import com.zipcodewilmington.froilansfarm.Interfaces.Rider;

import java.util.ArrayList;

public class CropDuster extends Aircraft implements FarmVehicle, Fertilize {

    private Pilot pilot;
    private Field fieldToFertilize;

    public Pilot getPilot() {
        return pilot;
    }

    public void setPilot(Pilot pilot) {
        this.pilot = pilot;
    }


    public void setFieldToFertilize(Field fieldToFertilize) {
        this.fieldToFertilize = fieldToFertilize;
    }

    public String makeNoise() {
        return "Airplane";
    }


    public void fertilize() {
        ArrayList<CropRow> cropRows =  this.fieldToFertilize.getRows();

        for (CropRow cr: cropRows) {
            if(cr.getCrop() != null){
             cr.getCrop().setFerilized();
            }
        }

        this.fieldToFertilize.setRows(cropRows);
    }

    public Rider getRider() {
        return null;
    }

    public void setRider(Rider rider) {

    }
}
