package com.zipcodewilmington.froilansfarm.Concrete;

import com.sun.scenario.effect.Crop;
import com.zipcodewilmington.froilansfarm.Abstract.Person;

import java.util.ArrayList;
import java.util.LinkedHashSet;
import java.util.Set;

public class FarmHouse {

    Set<Person> peopleInFarmhouse;
    ArrayList<Crop> fridge;

    public FarmHouse(){
        peopleInFarmhouse = new LinkedHashSet<Person>();
        fridge = new ArrayList<Crop>();
    }

    public void addPerson(String name, Set<Person> peopleInFarm){
        for (Person p: peopleInFarm){
            if (p.getName().equals(name)) {
                peopleInFarmhouse.add(p);
            }
        }
    }

    public int amountOfPeopleInFarmHouse(){
        return peopleInFarmhouse.size();
    }

    public void removePerson(String name, ArrayList<String> getNames){
        if(!getNames.contains(name))
            System.out.println("That person is not on this farm.");
        else if(amountOfPeopleInFarmHouse() == 0)
            System.out.println("No one is home.");
        else {
            for (Person p : peopleInFarmhouse)
                if (p.getName() == name)
                    peopleInFarmhouse.remove(p);
                else
                    System.out.println(name + " is not home.");
        }
    }

    public ArrayList<String> getPeople(){

        ArrayList<String> whoIsHome = new ArrayList<String>();
        for(Person p : peopleInFarmhouse)
            whoIsHome.add(p.getName() + " the " + p.getClass().getSimpleName());
        return whoIsHome;
    }

    public void stockUp(ArrayList<Crop> crop){
        fridge.addAll(crop);

    }



    public void removeCrop(Crop crop){
        for(Crop c: fridge){
            try {
                if (crop.equals(c))
                    fridge.remove(c);
            }
            catch (NullPointerException e){
                System.out.println("There is no food!!!");
            }
        }
    }


}
