package com.zipcodewilmington.froilansfarm.Concrete;

import com.zipcodewilmington.froilansfarm.Abstract.Animal;
import com.zipcodewilmington.froilansfarm.Interfaces.Rideable;
import com.zipcodewilmington.froilansfarm.Interfaces.Rider;

public class Horse extends Animal implements Rideable {


    private String name;
    private int age;
    private boolean wasRidden;
    private Rider rider;

    public Horse(String name, int age, boolean wasRidden) {
        this.name = name;
        this.age = age;
        this.wasRidden = wasRidden;
    }

    public void setRider(Rider rider){
        this.rider = rider;
    }


    public String makeNoise() {
        return "Neigh";
    }

    public void eat() {

    }

    public boolean isWasRidden() {
        return wasRidden;
    }

    public void setWasRidden(boolean wasRidden) {
        this.wasRidden = wasRidden;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}

