package com.zipcodewilmington.froilansfarm.Concrete;

import com.zipcodewilmington.froilansfarm.Abstract.Crop;
import com.zipcodewilmington.froilansfarm.Interfaces.Edible;
import com.zipcodewilmington.froilansfarm.Interfaces.Produce;

import java.util.ArrayList;

public class TomatoPlant extends Crop {

    ArrayList<Produce> tomatoes = new ArrayList<Produce>();

    public ArrayList<Produce> get() {
        return this.tomatoes;
    }

    public ArrayList<Edible> yeild() {
        ArrayList<Edible> toReturn = new ArrayList<Edible>();
        for (Produce tomato: this.tomatoes){
            Tomato tom = (Tomato) tomato;
        if(tom.isEdible())
        toReturn.add(tom);
        this.tomatoes.remove(tom);
        }
        return toReturn;
    }

    public int countEdible(){
        int count = 0;
        for (Produce tomato: this.tomatoes) {
            Tomato tom = (Tomato) tomato;
            if (tom.isEdible())
                count++;
        }
            return count;
    }

    public void setFerilized() {
        for (Produce tomato : this.tomatoes) {
            Tomato tom = (Tomato) tomato;
             tom.setFerilized();
        }
    }

    public int getCount(){
        return this.tomatoes.size();
    }

    public void grow(){
        this.tomatoes.addAll(TomatoFactory.getTomatoes(this));
    }
}
