package com.zipcodewilmington.froilansfarm.Concrete;

import com.sun.scenario.effect.Crop;
import com.zipcodewilmington.froilansfarm.Abstract.Vehicle;
import com.zipcodewilmington.froilansfarm.Interfaces.*;

import java.util.ArrayList;

public class Tractor extends Vehicle implements FarmVehicle, Harvest {

    private Rider rider;
    private Field fieldToHarvest;

    public Tractor(){}

    public ArrayList<Edible> harvest(){
        ArrayList<Edible> al = new ArrayList<Edible>();
        for (CropRow cropRow: this.fieldToHarvest.getRows()) {
            if(cropRow.getCrop() != null){
                al.addAll(cropRow.getCrop().yeild());
                cropRow.getCrop();
            }
        }
        return al;
    }

    public Rider getRider() {
        return rider;
    }

    public void setRider(Rider rider){
        this.rider = rider;
    }

    public String makeNoise() {
        return "Tractor Noises...";
    }

    public Field getFieldToHarvest() {
        return fieldToHarvest;
    }

    public void setFieldToHarvest(Field fieldToHarvest) {
        this.fieldToHarvest = fieldToHarvest;
    }


}
