package com.zipcodewilmington.froilansfarm.Concrete;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class ChickenCoopTest {

    ChickenCoop cc;

    @Before
    public void setup(){
        cc = new ChickenCoop(4);
    }

    @Test
    public void addChicken(){
        //When
        cc.addChicken(new Chicken());

        //Expect
        int expect = 5;

        //Actual
        int actual = cc.getChickenCount();

        Assert.assertEquals(expect, actual);
    }

    @Test
    public void removeChicken(){
        //When
        cc.removeChicken(0);

        //Expect
        int expect = 3;

        //Actual
        int actual = cc.getChickenCount();

        Assert.assertEquals(expect,actual);
    }

    @Test
    public void getChickenCountTest(){
        //Expect
        int expect = 4;

        //Actual
        int actual = cc.getChickenCount();

        Assert.assertEquals(expect,actual);
    }

    @Test
    public void displayChickens(){
        //Expect
        String expect = "0. Chicken\n1. Chicken\n2. Chicken\n3. Chicken\n";

        //Actual
        String actual = cc.displayChickens();

        Assert.assertEquals(expect,actual);
    }

    @Test
    public void getEggCount(){
        cc.produce();

        Assert.assertTrue(cc.getEggCount()>= 1 || cc.getChickenCount() <=18 );

    }



}