package com.zipcodewilmington.froilansfarm.Concrete;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class CornStalkTest {

    CornStalk cs;

    @Before
    public void setup(){
        cs = new CornStalk();
    }

    @Test
    public void harvest() {
        //When
        cs.yield();

        //Expect
        int expect = cs.getCount();

        //Actual
        int actual = cs.harvest().size();

        assertEquals(expect,actual);
        assertEquals(cs.getCount(), 0);
    }

    @Test
    public void produce() {
        //When
        cs.yield();

        Assert.assertTrue(cs.getCount() >0 && cs.getCount() <=6);

    }
}