package com.zipcodewilmington.froilansfarm.Concrete;

import com.zipcodewilmington.froilansfarm.Abstract.Crop;
import com.zipcodewilmington.froilansfarm.Interfaces.Edible;
import com.zipcodewilmington.froilansfarm.Interfaces.Produce;

import java.util.ArrayList;

public class CornStalk extends Crop {

    ArrayList<Produce> earCorns = new ArrayList<Produce>();

    public ArrayList<Produce> get() {
        return this.earCorns;
    }

    public int getCount(){
        return this.earCorns.size();
    }

    public ArrayList<Edible> yeild() {
        ArrayList<Edible> toReturn = new ArrayList<Edible>();
        for (Produce corn: this.earCorns){
             EarCorn cornn = (EarCorn) corn;
            if(cornn.isEdible())
                toReturn.add(cornn);
            this.earCorns.remove(cornn);
        }
        return toReturn;
    }

    public int countEdible(){
        int count = 0;
        for (Produce corn: this.earCorns) {
            EarCorn cornn = (EarCorn) corn;
            if (cornn.isEdible())
                count++;
        }
        return count;
    }

    public void setFerilized() {
        for (Produce corn : this.earCorns) {
            EarCorn cornn = (EarCorn) corn;
            cornn.setFerilized();
        }
    }

    public void grow(){
        this.earCorns.addAll(EarCornFactory.getEars(this));
    }
}
