package com.zipcodewilmington.froilansfarm.Concrete;

import com.zipcodewilmington.froilansfarm.Abstract.Person;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;

public class Farm {

    Person farmer;
    Person pilot;
    Set<Person> peopleAtFarm;
    FarmHouse farmHouse;
    Stable stable1;
    Stable stable2;
    Stable stable3;
    Field field;
    Tractor tractor;
    CropDuster environmentDestroyer;
    ChickenCoop chickenCoop1;
    ChickenCoop chickenCoop2;
    ChickenCoop chickenCoop3;
    ChickenCoop chickenCoop4;



    public Farm(){
        farmer = new Farmer("Froilan", 43, true);
        pilot = new Pilot("Froilanda", 26, false);
        peopleAtFarm = new HashSet<Person>();
        peopleAtFarm.add(farmer);
        peopleAtFarm.add(pilot);

        farmHouse = new FarmHouse();
        stable1 = new Stable();
        stable2 = new Stable();
        stable3 = new Stable();
        field = new Field();
        tractor = new Tractor();
        environmentDestroyer = new CropDuster();
        chickenCoop1 = new ChickenCoop(4);
        chickenCoop2 = new ChickenCoop(4);
        chickenCoop3 = new ChickenCoop(4);
        chickenCoop4 = new ChickenCoop(3);
    }

    public Set<Person> getPeopleAtFarm(){
        return peopleAtFarm;
    }

    public FarmHouse getFarmHouse(){
        return farmHouse;
    }

    public ArrayList<String> getNames(){
        ArrayList<String> namesList = new ArrayList<String>();
        for(Person p : peopleAtFarm)
            namesList.add(p.getName());
        return namesList;
    }



}
